Package oasis.names.tc.dss._1_0.core.schema

# Class ManifestResult

java.lang.Object
oasis.names.tc.dss._1_0.core.schema.ManifestResult

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class ManifestResult extends Object implements Serializable

Java class for anonymous complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ReferenceXpath" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Status" type="{http://www.w3.org/2001/XMLSchema}anyURI"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ManifestResult()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getReferenceXpath()`
  Gets the value of the referenceXpath property.
  `String`
  `getStatus()`
  Gets the value of the status property.
  `void`
  `setReferenceXpath(String value)`
  Sets the value of the referenceXpath property.
  `void`
  `setStatus(String value)`
  Sets the value of the status property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ManifestResult

    public ManifestResult()

- ## Method Details

  - ### getReferenceXpath

    public String getReferenceXpath()
    Gets the value of the referenceXpath property.
    Returns:
      possible object is `String`

  - ### setReferenceXpath

    public void setReferenceXpath(String value)
    Sets the value of the referenceXpath property.
    Parameters:
      `value` - allowed object is `String`

  - ### getStatus

    public String getStatus()
    Gets the value of the status property.
    Returns:
      possible object is `String`

  - ### setStatus

    public void setStatus(String value)
    Sets the value of the status property.
    Parameters:
      `value` - allowed object is `String`